#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - system-user-news installation
#
# Creation   :  2022-09-07 holbru
# Last update:  $Id: install.sh 109761 2024-03-12 09:17:14Z hbfl $
#
# Copyright (c) 2022-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=system-user-news

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
#fix passwd and group
news_pass=$(/usr/bin/getent passwd news | cut -d ':' -f 3)

if [ -n "${news_pass}" ] &&
   [ ${news_pass} -lt 100 ] 
then
    /usr/bin/sed -i '/^news:/d' /etc/group
    /usr/bin/sed -i '/^news:/d' /etc/passwd
fi

/usr/bin/systemd-sysusers system-user-news.conf

/usr/bin/chown news:news /etc/news

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
